Subject: Re: [dtn-users] installation on ubuntu
From: Matt Podolsky <[email-masked]>
To: [email-masked]
Date: Mon, 31 Oct 2005 13:50:38 -0800
List-Id: discussion/answers list for users of the dtn reference implementation <dtn-users.mailman.dtnrg.org>

Unfortunately that packaged version from March isn't compatible with gcc 
4.x.  I think you have a couple of options.  You could apt-get install a 
gcc 3.x version on your machine (if one isn't already installed), and 
run configure with the --with-cc=PATH_TO_GCC_3.x option set.  Or you 
could go with the bleeding edge of the tree (which is compatible with 
4.x) and check out the DTN2 code from CVS (instructions on 
http://www.dtnrg.org/wiki/Code). 

-matt

Neal Lathia wrote:

> hello,
>
> when trying another install of dtn2 (2.1.1), this time on ubuntu 
> linux, i ran into the following error while running configure:
>
> (....)
> checking for the version of the gcc compiler... 4.0.2
> error: unsupported compiler version 4.0.2
>
> the details of the version of gcc im running are;
>
> gcc (GCC) 4.0.2 20050808 (prerelease) (Ubuntu 4.0.1-4ubuntu9)
> Copyright (c) 2005 Free Software Foundation, Inc.
> (....)
>
> any help as to how to get around this?
> thanks
> neal
> _______________________________________________
> dtn-users mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-users

Date: Mon, 31 Oct 2005 21:20:29 +0000
From: Neal Lathia <[email-masked]>
To: [email-masked]
Subject: [dtn-users] installation on ubuntu
Sender: [email-masked]
Reply-To: [email-masked]

hello,

when trying another install of dtn2 (2.1.1), this time on ubuntu linux, 
i ran into the following error while running configure:

(....)
checking for the version of the gcc compiler... 4.0.2
error: unsupported compiler version 4.0.2

the details of the version of gcc im running are;

gcc (GCC) 4.0.2 20050808 (prerelease) (Ubuntu 4.0.1-4ubuntu9)
Copyright (c) 2005 Free Software Foundation, Inc.
(....)

any help as to how to get around this?
thanks
neal

Date: Fri, 21 Oct 2005 16:19:51 +0100
From: Neal Lathia <[email-masked]>
To: [email-masked]
Subject: [dtn-users] minimal db
Sender: [email-masked]
Reply-To: [email-masked]

Hello,

I was wondering what the 'minimal' database to operate DTN is, and where 
I can find it? I had originally downloaded the full Berkeley DB from the 
sleepycat web site, but I would rather not work with it since the 
project I am working on is meant to be deployed on devices with 
relatively small amounts of memory!

Many thanks,
Neal

Date: Fri, 21 Oct 2005 08:19:07 -0700
From: Michael Demmer <[email-masked]>
To: [email-masked]
Subject: Re: [dtn-users] minimal db
Sender: [email-masked]
Reply-To: [email-masked]

Right now the minimal one is Berkeley DB 4.2 or 4.3. 

There's a pretty good chance I'll write one that just uses the native
filesystem, though I have no promises as to when that would be.

-m

> Hello,
> 
> I was wondering what the minimal database to operate DTN is, and where I 
> can find it?
> 
> Many thanks,
> Neal
> _______________________________________________
> dtn-users mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-users

Date: Fri, 21 Oct 2005 16:07:02 +0100
From: Neal Lathia <[email-masked]>
To: [email-masked]
Subject: [dtn-users] minimal db
Sender: [email-masked]
Reply-To: [email-masked]

Hello,

I was wondering what the minimal database to operate DTN is, and where I 
can find it?

Many thanks,
Neal